Subject: Re: rib_trie / Fix inflate_threshold_root. Now=15 size=11 bits

From: Jarek Poplawski <[email-masked]>
Date: Sun, 28 Jun 2009 21:56:08 +0200

On Sun, Jun 28, 2009 at 05:48:19PM +0200, Paweł Staszewski wrote:
>
> After apply this patch something is wrong
>
> Traffic is not forwarded
> no info in dmesg / no info from bgp
> and also i can't connect to bgpd process
>
> I revert kernel to past version with first Jarek patch
>

Thank you very much, Pawel, for trying this. I'm starting to look for
the reason. In the meantime try to get some fib_trie stats for Robert.

Jarek P.
>
>
> Paweł Staszewski pisze:
>>
>>
>> After 18 hours from apply first Jarek patch i have no info about Fix  
>> inflate_threshold_root
>> even if i make: "clear ip bgp *" on router
>> So i change Jarek patch from previous to this new one for test and we  
>> will see ...
>>
>> Regards
>> Pawel Staszewski
>>
>>
>> Jarek Poplawski pisze:
>>> On Sun, Jun 28, 2009 at 01:04:51PM +0200, Robert Olsson wrote:
>>> ...
>>>  
>>>>  The memory patches and "manual RCU" are also interesting to address
>>>>  the case with PREEMTP's.
>>>>     
>>>
>>> Since 2.6.29 looks like prefered here, and there were a lot of takes
>>> in this thread, I attach below a combined all-in-one patch including:
>>> - 2.6.29 -> 2.6.30 preemption disable patch
>>> - 2 RCU vs. preemption fixes from 2.6.31-rc
>>> - "manual RCU" patch to force vfree/kfree before root's resize (take 3)
>>> - "automatic" inflate_threshold_root fix (take 2)
>>>
>>> Thanks,
>>> Jarek P.
>>>
>>> --- (for 2.6.29.x or even .28 or .27; any testing appreciated)
>>>
>>> diff -Nurp a/net/ipv4/fib_trie.c b/net/ipv4/fib_trie.c
>>> --- a/net/ipv4/fib_trie.c    2009-06-27 20:25:06.000000000 +0200
>>> +++ b/net/ipv4/fib_trie.c    2009-06-28 15:45:02.000000000 +0200
...